"""7th update, adds an index to the api_key on games

Revision ID: 563495edabd3
Revises: ea0a548215f
Create Date: 2015-11-23 12:23:44.895973

"""

# revision identifiers, used by Alembic.
revision = '563495edabd3'
down_revision = 'ea0a548215f'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_index(op.f('ix_games_api_key'), 'games', ['api_key'], unique=True)
    op.drop_constraint(u'games_api_key_key', 'games', type_='unique')
    op.alter_column('users', 'game_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', 'game_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.create_unique_constraint(u'games_api_key_key', 'games', ['api_key'])
    op.drop_index(op.f('ix_games_api_key'), table_name='games')
    ### end Alembic commands ###
